phing-types

# Class: CommandlineMarker Source Location: /types/Commandline.php
### Class Overview
Class to keep track of the position of an Argument. | ### Methods __construct getPosition
### Class Details [line 440] Class to keep track of the position of an Argument. [ Top ] ### Class Methods ### constructor __construct [line 446]
`CommandlineMarker __construct( $outer, $position)`
#### Tags:
access: | public
#### Parameters:
Comandline | $outer |
| $position |
[ Top ] ### method getPosition [line 457]
`void getPosition( )`
Return the number of arguments that preceeded this marker. The name of the executable - if set - is counted as the very first argument. #### Tags:
access: | public
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:34 +0200 by phpDocumentor 1.4.3